diff --git a/src/generic/apt/infer_reason.cc b/src/generic/apt/infer_reason.cc
index 3ebea51..544631e 100644
--- a/src/generic/apt/infer_reason.cc
+++ b/src/generic/apt/infer_reason.cc
@@ -96,7 +96,14 @@ void infer_reason(pkgCache::PkgIterator pkg, set<reason> &reasons)
   pkgCache::VerIterator instver=state.InstVerIter(*apt_cache_file);
   pkgCache::VerIterator candver=state.CandidateVerIter(*apt_cache_file);
 
-  if(actionstate==pkg_auto_install)
+  // https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=214244
+  //
+  // Debian Bug report logs - #214244
+  // aptitude: add depends for auto-upgraded packages also
+  if (actionstate==pkg_auto_install ||
+      actionstate==pkg_install ||
+      actionstate==pkg_upgrade ||
+      actionstate==pkg_downgrade)
     {
       for(rev_dep_iterator d(instver); !d.end(); ++d)
 	if(!is_conflict((*d)->Type) &&
